<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/fic_pen.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$desc = str_majuscules(str_escape(trim(@$_POST["desc"])));
$tbar = strip_tags(trim(@$_POST["tbar"]));
$valeur = strip_tags(trim(@$_POST["valeur"]));
$pour = strip_tags(trim(@$_POST["pour"]));
if ($pour == "Oui")
	$pourok = TRUE;
else
	$pourok = FALSE;
$udec = strip_tags(trim(@$_POST["udec"]));
$prop = strip_tags(trim(@$_POST["prop"]));
if ($prop == "Oui")
	$propok = TRUE;
else
	$propok = FALSE;
$actif = strip_tags(trim(@$_POST["actif"]));
if ($actif == "Oui")
	$actifok = TRUE;
else
	$actifok = FALSE;

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche pénalité
	case "add" :
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBPEN. " WHERE pen_code = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBPEN;
			$rech2.= " (pen_code,pen_desc)";
			$rech2.= " VALUES ('$code','$desc')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
	
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = "Ce code est d&eacute;j&agrave; utilis&eacute; !";
			$retourliste = FALSE;
		}
		mysql_free_result($rs);
		break;
		
	// MAJ de la fiche pénalité
	case "edit" :
		$majok=TRUE;
		
		if ($actif==0)
		{
			if (exist_pen_in_coloc_ouv($code,FALSE)==TRUE)
			{
				$msg = "P&eacute;nalit&eacute; utilis&eacute;e dans une location non close";
				$majok = FALSE;
				$retourliste = FALSE;
			}
		}
		
		if ($majok==TRUE)
		{
			$rech = "UPDATE `" .TBPEN. "` SET `pen_desc`='".$desc."',";
			$rech.= " `pen_tbar`='".$tbar."', `pen_pour`='".$pourok."', `pen_valeur`='".$valeur."',";
			$rech.= " `pen_udec`='".$udec."',`pen_prop`='".$propok."',`pen_actif`='".$actifok."'";
			$rech.= " WHERE `pen_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			
			// Suppression des barêmes de pénalités si "Valeur unique"
			if ($tbar==0)
			{
				$rech = "DELETE FROM `" .TBPENBAR. "` WHERE `penbar_codepen` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
			}
				
			$msg = $txt_fiche_mod;
		}
		break;

	// Suppression de la fiche Barême
	case "del" :
		$delok=TRUE;
		
		if ($actif==0)
		{
			if (exist_pen_in_coloc($code,FALSE)==TRUE)
			{
				$msg = "P&eacute;nalité utilis&eacute;e dans une location. D&eacute;sactivez la.";
				$delok = FALSE;
				$retourliste = FALSE;
			}
		}
		
		if ($delok==TRUE)
		{
			$rech = "DELETE FROM `" .TBPEN. "` WHERE `pen_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			// Suppression des barêmes de pénalités
			$rech = "DELETE FROM `" .TBPENBAR. "` WHERE `penbar_codepen` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());

			$msg = $txt_fiche_del;
		}
		break;
		
	default :
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Bar&ecirc;me Location</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>
<?php 
include_once("../inc/entete.inc.php"); 
?>


<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<?PHP
if (($td == "add") OR ($td == "edit"))
{
	if (@$_SESSION["niv_log"] >= 4)
		aff_ret_sais_auto("pen_maj.php?td=edit&code=".$code,2000);
	else
		aff_ret_idx_auto("index.php",2000);
}
else
	aff_ret_lst_auto("pen_lst.php",2000);
include_once("pied.php");
?>

</body>
</html>
